﻿$ErrorActionPreference = 'Stop'

$packageArgs = @{
  packageName            = 'dbeaver-ee'
  fileType               = 'EXE'
  url                    = 'https://dbeaver.com/files/7.0.0/dbeaver-ee-7.0.0-x86-setup.exe'
  url64bit               = 'https://dbeaver.com/files/7.0.0/dbeaver-ee-7.0.0-x86_64-setup.exe'
  checksum               = 'c2cb92fafe2da66b1ae2abce4dfd03f794ac41469973b609cf85ff682ee7986b'
  checksum64             = '5e04484092bda885739bb68fd7283a563f91a56bd67c9a6b3630df156923e24e'
  checksumType           = 'sha256'
  checksumType64         = 'sha256'
  silentArgs             = '/S /allusers'
  validExitCodes         = @(0)
  softwareName           = 'DBeaverEE *'
}
Install-ChocolateyPackage @packageArgs

$installLocation = Get-AppInstallLocation $packageArgs.softwareName
if (!$installLocation)  { Write-Warning "Can't find install location"; return }
Write-Host "Installed to '$installLocation'"

Register-Application "$installLocation\dbeaver.exe"
Write-Host "DBeaverEE registered as dbeaver"
